summaryrefslogtreecommitdiff
path: root/eclass/common-lisp-3.eclass
diff options
context:
space:
mode:
authorV3n3RiX <venerix@koprulu.sector>2023-06-17 01:42:56 +0100
committerV3n3RiX <venerix@koprulu.sector>2023-06-17 01:42:56 +0100
commitfa5e8e92d94ea9de5d49a1f5ad19abf7272503d0 (patch)
treeecc5fe98bb3e337641ece993bfc9b928fb2b2aa7 /eclass/common-lisp-3.eclass
parentdada2d5b0b1d7e87f9c3ebe4b31ca9b4f4b2ed62 (diff)
gentoo auto-resync : 17:06:2023 - 01:42:56
Diffstat (limited to 'eclass/common-lisp-3.eclass')
-rw-r--r--eclass/common-lisp-3.eclass14
1 files changed, 10 insertions, 4 deletions
diff --git a/eclass/common-lisp-3.eclass b/eclass/common-lisp-3.eclass
index 6c87ef3db842..b2dbff3513de 100644
--- a/eclass/common-lisp-3.eclass
+++ b/eclass/common-lisp-3.eclass
@@ -18,8 +18,6 @@ esac
if [[ -z ${_COMMON_LISP_3_ECLASS} ]]; then
_COMMON_LISP_3_ECLASS=1
-inherit eutils
-
# @ECLASS_VARIABLE: CLIMPLEMENTATIONS
# @DESCRIPTION:
# Common Lisp implementations
@@ -128,8 +126,16 @@ common-lisp-install-sources() {
common-lisp-install-one-source ${fpredicate} "${path}" "$(dirname "${path}")"
elif [[ -d ${path} ]] ; then
local files
- readarray -d '' files < <(find "${path}" -type f -print0 || die "cannot traverse ${path}" )
- common-lisp-install-sources -t ${ftype} "${files[@]}" || die
+ # test can be dropped in EAPI 8 which guarantees bash-5.0
+ if [[ ${BASH_VERSINFO[0]} -ge 5 ]]; then
+ readarray -d '' files < <(find "${path}" -type f -print0 \
+ || die "cannot traverse ${path}")
+ else
+ # readarray has no -d option in bash-4.2
+ readarray -t files < <(find "${path}" -type f -print \
+ || die "cannot traverse ${path}")
+ fi
+ common-lisp-install-sources -t ${ftype} "${files[@]}"
else
die "${path} is neither a regular file nor a directory"
fi